FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > 64 Studio > 64 Studio User

 
 
LinkBack Thread Tools
 
Old 08-23-2008, 12:52 AM
Ralf Mardorf
 
Default Rosegarden 1.6.1 songs with Rosegraden 1.7.0

Hi

I started a song with Suse's Rosegarden 1.6.1.

For 64 Studios Rosegarden 1.7.0 there's a problem with that song.
Suse's Rosegarden 1.7.0 has got the same problem with that song.

I have no time to describe it now, I only will warn that it might be
necessary to kept Rosegraden 1.6.1 for songs that were made with this
version. Playing a 1.6.1 song with 1.7.0 is fine, but editing something
can cause chaos.

Make sure that you can edit your old Rosegarden songs in the future, if
there might be the need to do that.

Cheers,
Ralf

_______________________________________________
64studio-users mailing list
64studio-users@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-users
 
Old 08-27-2008, 02:32 PM
Daniel James
 
Default Rosegarden 1.6.1 songs with Rosegraden 1.7.0

Hi Ralf,

> Playing a 1.6.1 song with 1.7.0 is fine, but editing something
> can cause chaos.

Does Rosegarden 1.7.0 crash when you try to record MIDI in the song made
with 1.6.1? If so, I think there is a general bug there.

Cheers!

Daniel

_______________________________________________
64studio-users mailing list
64studio-users@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-users
 
Old 08-27-2008, 09:27 PM
Folderol
 
Default Rosegarden 1.6.1 songs with Rosegraden 1.7.0

On Wed, 27 Aug 2008 15:32:16 +0100
Daniel James <daniel@64studio.com> wrote:

> Hi Ralf,
>
> > Playing a 1.6.1 song with 1.7.0 is fine, but editing something
> > can cause chaos.
>
> Does Rosegarden 1.7.0 crash when you try to record MIDI in the song made
> with 1.6.1? If so, I think there is a general bug there.
>
> Cheers!
>
> Daniel

This is something I've reported on the Rosegarden list, but nothing
seems to be happening about it. For me the problem doesn't occur at all
with 1.6.1. It always occurs with 1.7.0 on new projects. It usually
occurs with files that were started on older versions, but just
occasionally I can use 1.7.0 to live record on top of a file that was
started with older versions.

Only the GUI crashes, the sequencer carries on playing existing tracks
until they end.

This is on a dual core athlon. On an older single core machine (with no
RT kernel) it doesn't happen at all.

I am wondering of it is a multi-core problem.

--
Will J Godfrey
http://www.musically.me.uk

_______________________________________________
64studio-users mailing list
64studio-users@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-users
 
Old 08-27-2008, 09:59 PM
Ralf Mardorf
 
Default Rosegarden 1.6.1 songs with Rosegraden 1.7.0

Folderol wrote:
> On Wed, 27 Aug 2008 15:32:16 +0100
> Daniel James <daniel@64studio.com> wrote:
>
>
>> Hi Ralf,
>>
>>
>>> Playing a 1.6.1 song with 1.7.0 is fine, but editing something
>>> can cause chaos.
>>>
>> Does Rosegarden 1.7.0 crash when you try to record MIDI in the song made
>> with 1.6.1? If so, I think there is a general bug there.
>>
>> Cheers!
>>
>> Daniel
>>
>
> This is something I've reported on the Rosegarden list, but nothing
> seems to be happening about it. For me the problem doesn't occur at all
> with 1.6.1. It always occurs with 1.7.0 on new projects. It usually
> occurs with files that were started on older versions, but just
> occasionally I can use 1.7.0 to live record on top of a file that was
> started with older versions.
>
> Only the GUI crashes, the sequencer carries on playing existing tracks
> until they end.
>
> This is on a dual core athlon. On an older single core machine (with no
> RT kernel) it doesn't happen at all.
>
> I am wondering of it is a multi-core problem.
>


What about a 32-bit 64 Studio running on a 64-bit multi-core?

I'm using the Vesa driver and the integrated ATI graphics uses 128MB of
the main memory.

64studio:/home/spinymouse# hwinfo --cpu
01: None 00.0: 10103 CPU
[Created at cpu.305]
Unique ID: rdCR.j8NaKXDZtZ6
Hardware Class: cpu
Arch: X86-64
Vendor: "AuthenticAMD"
Model: 15.107.2 "AMD Athlon(tm) X2 Dual Core Processor BE-2350"
Features:
fpu,vme,de,pse,tsc,msr,pae,mce,cx8,apic,sep,mtrr,p ge,mca,cmov,pat,pse36,clflush,mmx,fxsr,sse,sse2,ht ,syscall,nx,mmxext,fxsr_opt,rdtscp,lm,3dnowext,3dn ow,pni,cx16,lahf_lm,cmp_legacy,svm,extapic,cr8_leg acy,misalignsse
Clock: 2100 MHz
BogoMips: 4202.21
Cache: 512 kb
Units/Processor: 2
Config Status: cfg=new, avail=yes, need=no, active=unknown

02: None 01.0: 10103 CPU
[Created at cpu.305]
Unique ID: wkFv.j8NaKXDZtZ6
Hardware Class: cpu
Arch: X86-64
Vendor: "AuthenticAMD"
Model: 15.107.2 "AMD Athlon(tm) X2 Dual Core Processor BE-2350"
Features:
fpu,vme,de,pse,tsc,msr,pae,mce,cx8,apic,sep,mtrr,p ge,mca,cmov,pat,pse36,clflush,mmx,fxsr,sse,sse2,ht ,syscall,nx,mmxext,fxsr_opt,rdtscp,lm,3dnowext,3dn ow,pni,cx16,lahf_lm,cmp_legacy,svm,extapic,cr8_leg acy,misalignsse
Clock: 2100 MHz
BogoMips: 4199.75
Cache: 512 kb
Units/Processor: 2
Config Status: cfg=new, avail=yes, need=no, active=unknown

_______________________________________________
64studio-users mailing list
64studio-users@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-users
 
Old 08-28-2008, 08:46 AM
Ralf Mardorf
 
Default Rosegarden 1.6.1 songs with Rosegraden 1.7.0

Folderol wrote:
> On Wed, 27 Aug 2008 15:32:16 +0100
> Daniel James <daniel@64studio.com> wrote:
>
>
>> Hi Ralf,
>>
>>
>>> Playing a 1.6.1 song with 1.7.0 is fine, but editing something
>>> can cause chaos.
>>>
>> Does Rosegarden 1.7.0 crash when you try to record MIDI in the song made
>> with 1.6.1? If so, I think there is a general bug there.
>>
>> Cheers!
>>
>> Daniel
>>
>
> This is something I've reported on the Rosegarden list, but nothing
> seems to be happening about it. For me the problem doesn't occur at all
> with 1.6.1. It always occurs with 1.7.0 on new projects. It usually
> occurs with files that were started on older versions, but just
> occasionally I can use 1.7.0 to live record on top of a file that was
> started with older versions.
>
> Only the GUI crashes, the sequencer carries on playing existing tracks
> until they end.
>
> This is on a dual core athlon. On an older single core machine (with no
> RT kernel) it doesn't happen at all.
>
> I am wondering of it is a multi-core problem.
>

Is anybody using Rosegarden with a 32-bit machine or with a 64-bit
non-multi core? Is it stable there?

When I installed DSSI instruments for Suse 64-bit Rosegarden didn't
found them, I searched for this by Google and found some postings.
Ubuntu users have the same problem, there are no DSSI plugins for
Rosegarden available. I found out, that I have to copy the DSSI plugins
from a folder /lib to a folder /lib64. Maybe there are some libs for
Rosegarden itself that are in a wrong folder. Okay, for 64 Studio the
DSSIs are fine by default, but maybe something is wrong, e.g a system
variable used by the program.

I guess I will have the time to record some MIDI today. I didn't do that
with a stable default 64 Studio before, maybe Rosegarden 1.7.0 will be
fine on my machine now.

Is there someone using a 64-bit 64 Studio (or another 64-bit distro,
with another rt kernel) running on an Athlon dual-core where Rosegarden
1.7.0 is fine?

If we need Rosegarden 1.6.1, I have found the old source code:

http://download.opensuse.org/distribution/11.0/repo/src-oss/suse/src/rosegarden4-1.6.1-61.1.src.rpm

Etch is 1.4.0 and Lenny is 1.7.0 and because a source code is a source
code, we could use the Suse source.

_______________________________________________
64studio-users mailing list
64studio-users@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-users
 
Old 08-28-2008, 09:05 AM
Daniel James
 
Default Rosegarden 1.6.1 songs with Rosegraden 1.7.0

Hi Ralf,

> Etch is 1.4.0 and Lenny is 1.7.0

If you are building from source, you should really use the 1.7.1 bugfix
release:

https://sourceforge.net/project/shownotes.php?group_id=4932&release_id=617314

If this still causes problems with 1.6.1 files, please report upstream
and let us know how you get on.

Cheers!

Daniel

_______________________________________________
64studio-users mailing list
64studio-users@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-users
 
Old 08-28-2008, 09:15 AM
Ralf Mardorf
 
Default Rosegarden 1.6.1 songs with Rosegraden 1.7.0

Daniel James wrote:
> Hi Ralf,
>
>> Etch is 1.4.0 and Lenny is 1.7.0
>
> If you are building from source, you should really use the 1.7.1
> bugfix release:
>
> https://sourceforge.net/project/shownotes.php?group_id=4932&release_id=617314
>
>
> If this still causes problems with 1.6.1 files, please report upstream
> and let us know how you get on.
>
> Cheers!
>
> Daniel

Okay, if there will be no packages that has to be upgraded to Lenny ,
I will try 1.7.1 instead of 1.6.1, but first I'll check out if 1.7.0 is
stable on my machine, when using it with the default 64 Studio instead
of the 64 Studio "Lenny". Reading all the mails, I don't expect 1.7.0 to
be stable on my machine.

Hm?! No, I go another way, I won't test 1.7.0, I try to compile 1.7.1
right now ... My mail client is running on the 64 Studio "Lenny", so I
have to boot into the 64 Studio "default" now ... I'll report as soon as
possible.

_______________________________________________
64studio-users mailing list
64studio-users@64studio.com
http://lists.64studio.com/mailman/listinfo/64studio-users
 

Thread Tools




All times are GMT. The time now is 11:54 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org